Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.data
Class ReceiptList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<E>
              java.util.HashSet<E>
                  java.util.LinkedHashSet<Receipt>
                      things.data.ReceiptList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<Receipt>, java.util.Collection<Receipt>, java.util.Set<Receipt>

    public class ReceiptList

extends java.util.LinkedHashSet<Receipt>

This is standard receipt list.

Version:
  1.0

  Version History

      EPG - Initial - 2 JUL 05

Author:
  Erich P. Gatejen
See Also:
  Serialized Form

Constructor Summary
`ReceiptList()`

Method Summary
`Receipt` | `first()` Get the first receipt in the list or a blank receipt ( as created by the Receipt default constructor).
`Receipt` | `firstOk()` Get the first receipt that is OK and TERMINAL.

Methods inherited from class java.util.HashSet
`add, clear, clone, contains, isEmpty, iterator, remove, size`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### ReceiptList

    public ReceiptList()

Method Detail

### first

    public Receipt first()

  Get the first receipt in the list or a blank receipt ( as created by the Receipt default constructor). If it returns a null, something very bad happened.

  Returns:
    the first receipt.
  See Also:
    `Receipt`

### firstOk

    public Receipt firstOk()

  Get the first receipt that is OK and TERMINAL. If none are, it'll return null.

  Returns:
    the first receipt or a null.
  See Also:
    `Receipt`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.